<app-base-layout>
    <app-market-open-card class="mb-3" style="box-shadow: none;"></app-market-open-card>
    <div class="container p-0">
        <div class="row justify-content-center">
            <div class="col-md-8">
        <div class="watchlist-header-wrapper-search">
            <div class="mb-2" >
                <app-search-field
                [placeholder]="strings.searchPlaceholder"
                (onSearchChange)="handleSearchChange($event)"
                [searchInput]="searchInput"
                style="z-index: 2;"
              ></app-search-field>
              <div
              *ngIf="searchBlock"
              (click)="handleOnBlurSearch()"
              class="backdrop"
              style="position: fixed; left: 0; top: 0; bottom: 0; right: 0;background-color: #000;opacity: 0.5;z-index: 100;"
            ></div>
            <div class="search-block"  style="z-index: 100;" *ngIf="searchBlock">
              <div class="card">
                <div class="card-body">
                  <!-- <app-nav-tabs [tabs]="searchCategoryTabs"></app-nav-tabs> -->
                  <!-- <br> -->
                  <div class="row mb-4" *ngIf="searchLoading">
                    <div class="col-auto">
                        <span class="text">Loading...</span>
                    </div>
                  </div>
                  <div class="row mb-4" *ngIf="!searchLoading && !searchedResults.length">
                    <div class="col-auto">
                        <span class="text">No result found</span>
                    </div>
                  </div>
                  <div
                    class="row mb-4"
                    *ngFor="let result of searchedResults"
                    (click)="handleAddToWatchlist(result?.company_id, result?.symbol)"
                  >
                    <div class="col-auto px-2">
                      <a>
                        <span class="text">{{ result?.symbol }}</span>
                      </a>
                    </div>
                    <div class="col px-2">
                      <a>
                        <span class="sub-text">{{ result?.name }}</span>
                      </a>
                    </div>
                    <div class="col-auto text-right px-2">
                      <img src= "{{handleIsAdded(result?.company_id) ? 'assets/icons/watchlist-add-heart-active.svg' : 'assets/icons/watchlist-add-heart.svg' }}">
                    </div>
                  </div>
                </div>
              </div>
            </div>
              </div>
        </div>
    </div>
    </div>

    <div class="watchlist-header-wrapper mt-4">
        <app-nav-tabs [tabs]="categoryTabs" (onClick)="handleOnClick($event)"></app-nav-tabs>
      <button class="header-action btn" *ngIf="!longPressState" style="flex: 0 0 15rem"  (click)="watchlistAddModalOpen(watchlistAddModal)">
        <img class="add-icon-img" src="assets/icons/plus.svg" style="max-width: 24px"  alt="" />
        <span>Create New Watchlist</span>
      </button>
      <button class="header-action btn" *ngIf="longPressState" (click)="handleDeleteCompany()" style="flex: 0 0 6rem">
        <img src="assets/icons/delete-icon.svg" style="max-width: 24px"  alt="" />
      </button>
    </div>
  <div class="row tabs-wrapper d-flex justify-content-between mt-4 mb-4">
      <div class="d-flex">
        <div class="pr-0" *ngIf="!longPressState">
            <button class="btn watchlist-edit-stocks-btn" [ngClass]="{'d-none' : this.categoryTabs.length < 1}"  (click)="watchlistAddModalOpen(watchlistAddModal,true)">
             <img src="assets/icons/icon-pen.svg" style="max-width: 24px" alt="" /> Edit
            </button>
          </div>
          <div class="pr-0" *ngIf="!longPressState">
            <button class="btn watchlist-delete-stocks-btn" [ngClass]="{'d-none' : this.categoryTabs.length < 1}"  (click)="deleteWatchlistOpen(deleteWatchlist)">
             <img src="assets/icons/icon-dustbin.svg" style="max-width: 24px" alt="" /> Delete
            </button>
          </div>
          <div class="pr-0" *ngIf="longPressState">
            <button class="btn watchlist-delete-stocks-btn" style="display: flex;
            align-items: center;"  (click)="cancelDelete()">
              <span aria-hidden="true" style="font-size: 29px;
              color: #196be5;
              margin-right: 6px;">&times;</span> Cancel
            </button>
          </div>
          <div class="pr-0 d-none d-md-block" *ngIf="longPressState">
          <button class="header-action btn watchlist-delete-stocks-btn" *ngIf="longPressState" (click)="handleDeleteCompany()" style="flex: 0 0 6rem">
            <img src="assets/icons/icon-dustbin.svg" style="max-width: 24px;height: 43px; margin-right: 5px;"  alt="" />Delete
          </button>
        </div>
      </div>
    <div class="watchlist-filter-btn">
        <div class="btn-group" role="group" aria-label="Basic example">
          <button type="button" class="btn" (click)="sort_list('alphabet_sort')">Alphabetical <img *ngIf="show_name_arrow" [src]="alphabet_sort_icon" class="ml-2"></button>
          <button type="button" class="btn d-flex" (click)="sort_list('percentage_change')">%Change <img *ngIf="show_percentage_arrow" [src]="percentage_change_sort_icon" class="ml-2"></button>
        </div>
  </div> 
  </div>
 
  <div class="row last-app-card">
    <div class="col-md-4" *ngFor="let company of watchlistCompany">
        <app-info-card class=""  (click)="handleClick(company.companyId)" [img]="company.img" [stats]="company.stats" [company]="company.company"  [name]="company.name" [symbol]="company.symbol" [price]="company.price" [companyId]="company.companyId" [previous_price]="company.previous_price" [longPressState] = "longPressState" class="mb-2" (mousedown)="longPress(true,company.companyId)"  (mouseup)="longPress(false)" [isSelected]="componeysIds.includes(company.companyId)"></app-info-card>
    </div>
    <!-- <div class="col-md-12 m-0 p-0">
      <div class="d-md-none d-block">
    <app-info-card  *ngFor="let company of watchlistCompany" (click)="handleClick(company.companyId)" [img]="company.img" [stats]="company.stats" [company]="company.company"  [name]="company.name" [symbol]="company.symbol" [price]="company.price" [companyId]="company.companyId" [previous_price]="company.previous_price" [longPressState] = "longPressState" class="mb-2"  (touchstart)="longPress(true,company.companyId)" (touchend)="longPress(false)" [isSelected]="componeysIds.includes(company.companyId)"></app-info-card>
  </div>
    </div> -->
  </div>
  <div class="text-center" *ngIf="!myWatchListLoading && myWatchListEmpty">
  <ng-container *ngIf="categoryTabs.length != 0">
    <div class="title">Your Watchlist is empty</div>
    <div class="separator" style="width: 100%; height: 8px"></div>
  </ng-container>
</div>


      <div class="watchlist-filter-btn d-md-none">
            <div class="btn-group" role="group" aria-label="Basic example">
              <button type="button" class="btn" (click)="sort_list('alphabet_sort')">Alphabetical <img *ngIf="show_name_arrow" [src]="alphabet_sort_icon" class="ml-2"></button>
              <button type="button" class="btn d-flex" (click)="sort_list('percentage_change')">%Change <img *ngIf="show_percentage_arrow" [src]="percentage_change_sort_icon" class="ml-2"></button>
            </div>
      </div>
      <div class="bottom-fixed-btn d-none">
        <div class="row">
          <div class="col pl-0 pr-0" *ngIf="!longPressState">
            <button class="btn watchlist-edit-stocks-btn" [ngClass]="{'d-none' : this.categoryTabs.length < 1}" (click)="watchlistAddModalOpen(watchlistAddModal,true)">
             <img src="assets/icons/icon-pen.svg" style="max-width: 24px" alt="" /> Edit
            </button>
          </div>
          <div class="col pl-0 pr-0" *ngIf="!longPressState">
            <button class="btn watchlist-delete-stocks-btn" [ngClass]="{'d-none' : this.categoryTabs.length < 1}" (click)="deleteWatchlistOpen(deleteWatchlist)">
             <img src="assets/icons/icon-dustbin.svg" style="max-width: 24px" alt="" /> Delete
            </button>
          </div>
          <div class="col pl-0 pr-0" *ngIf="longPressState">
            <button class="btn watchlist-delete-stocks-btn"  (click)="cancelDelete()">
             Cancel
            </button>
          </div>
          <div class="col pl-0 pr-0 d-none d-md-flex" *ngIf="longPressState">
          <button class="header-action btn watchlist-delete-stocks-btn" *ngIf="longPressState" (click)="handleDeleteCompany()" style="flex: 0 0 6rem">
            <img src="assets/icons/icon-dustbin.svg" style="max-width: 24px" alt="" />Delete
          </button>
        </div>
          <div class="col d-none d-md-flex watchlist-filter-btn">
            <div class="btn-group" role="group" aria-label="Basic example">
              <button type="button" class="btn" (click)="sort_list('alphabet_sort')">Alphabetical <img *ngIf="show_name_arrow" [src]="alphabet_sort_icon" class="ml-2"></button>
              <button type="button" class="btn d-flex" (click)="sort_list('percentage_change')">%Change <img *ngIf="show_percentage_arrow" [src]="percentage_change_sort_icon" class="ml-2"></button>
            </div>
          </div>
          <!-- <div class="col pl-0 pr-0">
            <button class="btn watchlist-add-stocks-btn" (click)="navigateToAllStocks()">
             <img src="assets/icons/plus.svg" style="max-width: 24px" alt="" /> Add stocks
            </button>
          </div> -->
        </div>
      </div>
  
  
    <!-- delete stocks watchlist modal -->
    <ng-template #deleteWatchlist let-c="close" let-d="dismiss">
      <div class="deleteWathlistModal">
        <div class="modal-header border-0">
          <h4 class="modal-title" style="margin: 0 auto; font-size: 20px;" id="modal-basic-title">Delete Watchlist?</h4>
          <button type="button" style="padding: 1rem 1rem 1rem 0px;
          margin: -1rem -1rem -1rem 0rem;" class="close" aria-label="Close" (click)="c('Cancel click')">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <!-- <span type="button" class="close-btn" (click)="c('Cancel click')"> &times; </span> -->
          <!-- <h5 class="del-head">Delete Watchlist?</h5> -->
          <div class="del-msg">You are about to delete this watchlist please tap on confirm to delete.</div>
          <div class="confirm-btn">
            <button type="button" class="btn btn-link" (click)="handleDeleteWatchlist()">Confirm</button>
          </div>
        </div>
      </div>
    </ng-template>
    <!-- new watchlist add modal -->
    <ng-template #watchlistAddModal let-c="close" let-d="dismiss">
      <form [formGroup]="watchlistAddForm" (ngSubmit)="onWatchlistAddFormSubmit()">
      <div class="watchlistAddModal">
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">{{ isEdit?"Edit":"Give"}} your watchlist a name</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
       <div class="row need-help" style="min-height:100%">
        <div class="col-12 col-lg-12">
          <input #desc type="text" formControlName="watchlistName"  placeholder="Watchlist name" class="inp text-uppercase">
          <div class="error-msg" >
            <i *ngIf="!(watchlistAddForm.controls['watchlistName'].errors?.maxlength?.actualLength < 15)">
              Text must be less than or equal to 15 characters.
            </i>
            <i *ngIf="(watchlistAddForm.controls['watchlistName'].errors?.required)  && 
                      (watchlistAddForm.controls['watchlistName'].touched)">
              Watchlist name cannot be empty
            </i>
            <i *ngIf="watchlistAddForm.controls['watchlistName'].errors?.minLength">
              Watchlist name cannot be Less Then 3 Letter
           </i>
          </div>
        </div>
       </div>
      </div>
      <div class="modal-footer">
        <button type="submit" class="btn btn-link" [disabled]="this.watchlistAddForm.valid? null : true" >Confirm</button>
      </div>
    </div>
  </form>
    </ng-template>
  
    <ng-template #discloserModal let-c="close" let-d="dismiss">
      <div class="watchlist-discloser-Modal">
      <div class="modal-header">
        <h4 class="modal-title" id="modal-basic-title">Watchlist Disclosure</h4>
        <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
       <div class="text">
        Your watchlist may be pre-populated with an initial list of stocks/ETFs demonstrate how you can use this feature to track securities. The inclusion of these stocks/ ETFs is not a recommendation or solicitation to buy or sell any security. You can add and remove stocks/ETFs from your watchlist by selecting the stock/ETF and toggling the watchlist button/icon.
       </div>
        <div class="delete-content">
          <h5>Delete from watchlist</h5>
          <p>
            Tap and hold on stocks to delete them from the watchlist.
          </p>
        </div>
      </div>
      <!-- <div class="modal-footer">
        <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button>
      </div> -->
    </div>
    </ng-template>
  </div>
  </app-base-layout>
  
